pcl::_PointWithScale Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithScale:

## Public Attributes

| PCL_ADD_POINT4D
union {
float scale
| Diameter of the meaningfull keypoint neighborhood. More...
float size
}; |
float | angle
| Computed orientation of the keypoint (-1 if not applicable). More...
float | response
| The response by which the most strong keypoints have been selected. More...
int | octave
| octave (pyramid layer) from which the keypoint has been extracted. More...

## Detailed Description

Definition at line 1480 of file point_types.hpp.

## Member Data Documentation

## @55

union { ... }

## angle

float pcl::_PointWithScale::angle

Computed orientation of the keypoint (-1 if not applicable).

Definition at line 1492 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

## octave

int pcl::_PointWithScale::octave

octave (pyramid layer) from which the keypoint has been extracted.

Definition at line 1496 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

## PCL_ADD_POINT4D

pcl::_PointWithScale::PCL_ADD_POINT4D

Definition at line 1482 of file point_types.hpp.

## response

float pcl::_PointWithScale::response

The response by which the most strong keypoints have been selected.

Definition at line 1494 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

## scale

float pcl::_PointWithScale::scale

Diameter of the meaningfull keypoint neighborhood.

Definition at line 1487 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::add(), pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::get(), pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::operator()(), pcl::PointWithScale::PointWithScale(), and pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::set().

## size

float pcl::_PointWithScale::size

Definition at line 1488 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp